﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace Prova2
{
    public partial class XmlAttributesViewer : UserControl
    {
        private XmlNode _xmlNode = null;

        public XmlAttributesViewer()
        {
            InitializeComponent();
        }

        public XmlNode XmlNode
        {
            get { return _xmlNode; }
            set
            {
                if (value != _xmlNode)
                {
                    _xmlNode = value;
                    OnXmlNodeChanged();
                }
            }
        }

        private void OnXmlNodeChanged()
        {
            _dataGridView.DataSource = null;
            if (_xmlNode != null && _xmlNode.Attributes != null)
            {
                _dataGridView.DataSource = XmlAttributeDescriptor.CreateXmlAttributeDescriptors(_xmlNode.Attributes);
            }
        }
    }
}
